%define 	kernelversion	2.6.26
%define		kernelrelease	5
%define		kernel		%{kernelversion}-%{kernelrelease}

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	administration tool for arp packet filtering
Name:      	arptables
Version:   	0.0.3
Release:   	28
License: 	GNU/GPL
URL:		http://ebtables.sourceforge.net
Group:     	System/Configuration/Networking
Source0: 	%{name}-v%{version}-3.tar.gz
Patch0:		arptables-config.patch

BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	kernel-devel = %{kernelversion}-%{kernelrelease}
BuildRequires:	glibc-devel

%description
Arptables is used to set up, maintain, and inspect the tables of ARP packet filter rules in the Linux kernel. Several different tables may be defined. Each table contains a number of built-in chains and may also contain user-defined chains. 
Each chain is a list of rules which can match a set of packets. Each rule specifies what to do with a packet that matches. This is called a `target', which may be a jump to a user-defined chain in the same table.

%prep
%setup -n %{name}-v%{version}-3
%patch0 -p1

%build
make KERNEL_INCLUDES=/usr/src/kernels/%{kernel}-%{_target_cpu}/include BINDIR=%_sbindir MANDIR=%_mandir INCDIR=%_includedir COPT_FLAGS=-Os

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_sbindir
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_sbindir
%_sysconfdir
%_mandir
      
%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-28
- moved Requires: kernel-devel to BuildRequires: 
- kernel 2.6.26-8
* Tue Jun 24 2008 Christian Wasem <wasem@ccux-linux.de> 0.0.3-27
- kernel 2.6.25-11
* Fri May 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-26
- kernel 2.6.25-7
* Sat May 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-25
- kernel 2.6.25-6
* Sun Apr 27 2008 Christian Wasem <wasem@ccux-linux.de> 0.0.3-24
- kernel 2.6.25-3
* Sat Mar 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-23
- kernel 2.6.24-10
* Sat Mar 08 2008 Christian Wasem <wasem@ccux-linux.de> 0.0.3-22
- kernel 2.6.24-9
* Sun Dec 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-21
- update to 0.0.3-3
- kernel 2.6.24-5
* Thu Jun 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-20
- kernel 2.6.21-5
* Mon Jun 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-19
- kernel 2.6.21-4
* Thu May 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-18
- kernel 2.6.21-2
* Fri Apr 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-17
- kernel 2.6.21-1
* Sun Apr 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-16
- kernel 2.6.20-7
* Thu Mar 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-15
- Kernel 2.6.20-5
* Sat Feb 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-14
- Kernel 2.6.20-4
* Thu Feb 22 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-13
- Kernel 2.6.20-3
* Sat Feb 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-12
- Kernel 2.6.20-2
* Tue Feb 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-11
- Kernel 2.6.20-1
* Sat Jan 13 2007 Christian Metzen <metzench@ccux-linux.de> 0.0.3-10
- Kernel 2.6.19-6
* Wed Dec 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-9
- Kernel 2.6.19-4
* Sat Oct 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-8
- Kernel 2.6.18-4
* Thu Oct 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-7
- Kernel 2.6.18-3
* Mon Oct 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-6
- Kernel 2.6.18-2
* Sun Oct 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-5
- Kernel 2.6.18-1
* Tue Aug 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-4
- Kernel 2.6.17-3
* Wed Aug 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-3
- Kernel 2.6.17-2
* Mon Jul 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-2
- Initial release, built against kernel 2.6.16-5, reused iptables .spec file
* Mon May 15 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-1
- Initial release, built against kernel 2.6.16-5, reused iptables .spec file
